Bug 181054 - Swiss-German keyboard (de_CH) no longer works
Swiss-German keyboard (de_CH) no longer works
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 07:46 EST by A. Folger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 07:48:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Folger 2006-02-12 07:46:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-0.fc4 Firefox/1.5

Description of problem:
I use a number of keyboard layouts. Since my update to kde 3.5, the Swiss-German keyboard layout (de_CH) no longer works. The keyboard layout applet displays "err". In the mean time, the next best thing I can do is using the German layout (de_DE), but some of the functionality, such as accented achracters for French, is gone. More serious is the problem that some of the basic Unix characters, like the pipe, tilde, backtick and single quote are now hard to access.

Version-Release number of selected component (if applicable):
kdebase-3.5.1-0.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install as a new keyboard layout "Swiss (German)" (=de_CH) using the KDE keyboard applet
2. Try to switch to that layout
3. see how instead of the label "de", the keyboard layout applet shows "err"
  

Actual Results:  see point 3 above

Expected Results:  "de" is displayed and the keyboard layout is now properly selected and functioning.

Additional info:

You can test this by typing, on an international keyboard (105 keys) the key right of the "P" while pressing shift. On the German layout, you'll get a capital U with two dots over it [Ü]. On the Swiss(German) layout you'll get the minor case e with grave accent [è].

This problem appeared both on a i386 system with kde 3.5.1 and on a x(&_64 system with kde 3.5.0, in both cases the problem happened after upgrading.
Comment 1 A. Folger 2006-02-12 07:50:54 EST
This bug is a reappearance of the problem I filed in <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162307">bug #162307</a>
Comment 2 A. Folger 2006-02-14 05:49:47 EST
The bug is well known at bugs.kde.org and has been solved:
http://bugs.kde.org/show_bug.cgi?id=121087

Could the Fedora packagers please provide an update ASAP, either using the
patch, or at least releasing xorg 6.90? This will be very much appreciated by many.
Comment 3 Ngo Than 2006-02-15 07:48:27 EST
i will push the new kdebase including the fix for this problem into FC4 update  
this week. Thanks for your report. 

Note You need to log in before you can comment on or make changes to this bug.